## ----include=FALSE,results="hide",message=FALSE,warning=FALSE-----------------
library(BiocStyle)

## ----include=TRUE,results="hide",message=FALSE,warning=FALSE------------------
library(BiocCheck)

## ----eval=FALSE---------------------------------------------------------------
#  BiocCheck("<packageDirOrTarball>")

## ----eval = FALSE-------------------------------------------------------------
#  if (!require("BiocManager", quietly = TRUE))
#      install.packages("BiocManager")
#  
#  BiocManager::install("BiocCheck")

## ----reformat_code, eval = FALSE----------------------------------------------
#  ## Install styler if necessary
#  if (!requireNamespace("styler", quietly = TRUE)) {
#      install.packages("styler")
#  }
#  ## Automatically re-format the R code in your package
#  styler::style_pkg(transformers = styler::tidyverse_style(indent_by = 4))

## ----eval=FALSE---------------------------------------------------------------
#  BiocCheckGitClone("packageDir")

## -----------------------------------------------------------------------------
BiocCheck:::.HIDDEN_FILE_EXTS

## -----------------------------------------------------------------------------
library(utils)
readCitationFile(
    system.file("CITATION", package = "GenomicRanges")
)

## ----sessionInfo--------------------------------------------------------------
sessionInfo()

